#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE8,0x6E,0xA7,0xB9,0xBA,0xEC,0x42,0x7E,0xC1,0x6C,0xE4,0xD7,
		0x7E,0xCF,0x96,0xFF,0x7E,0x2A,0xB1,0x75,0x59,0x4E,0xB1,0x67,
		0x1F,0xAF,0xD1,0x01,0x47,0x96,0xC4,0x9B,0x7A,0x6E,0x19,0xCE,
		0x2F,0x02,0xB8,0xB1,0xFA,0xEA,0xC1,0x7E,0x3D,0x7F,0xCB,0xEE,
		0xA6,0x96,0x63,0x88,0xC3,0x15,0xFC,0x86,0x5F,0x75,0x1D,0x17,
		0xB0,0x77,0x4E,0x5B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
